.\"	$NetBSD: elf2ecoff.1,v 1.8 2002/09/30 11:08:59 grant Exp $
.\"
.\" Copyright 1996 The Board of Trustees of The Leland Stanford
.\" Junior University. All Rights Reserved.
.\"
.\" Author: Jonathan Stone
.\"
.\" Permission to use, copy, modify, and distribute this
.\" software and its documentation for any purpose and without
.\" fee is hereby granted, provided that the above copyright
.\" notice and the above authorship notice appear in all copies.
.\" Stanford University makes no representations about the suitability
.\" of this software for any purpose.  It is provided "as is" without
.\" express or implied warranty.
.Dd September 30, 1996
.Dt ELF2ECOFF 1
.Os
.Sh NAME
.Nm elf2ecoff
.Nd convert a NetBSD ELF-format executable to NetBSD ECOFF format
.Sh SYNOPSIS
.Nm elf2ecoff
.Ar elf-file
.Ar ecoff-file
.Sh DESCRIPTION
Reads a fully-linked ELF executable (such as a  linked kernel)
and produces an equivalent ECOFF format executable file.
.Pp
The
.Nm
utility is used to convert native
.Nx
ELF binaries
to ECOFF format, for compatibility with DECstation diskless-boot
PROM code and diskless-boot servers that require ECOFF format binaries.
.\" .Sh DIAGNOSTICS
.Sh SEE ALSO
.Xr elf2aout 1 ,
.Xr ld 1 ,
.Xr kvm 3 ,
.Xr a.out 5 ,
.Xr elf 5 ,
.Xr kvm_mkdb 8
.Sh HISTORY
.Nm
was originally developed for
.Nx Ns Tn /pmax
by Ted Lemon
and was first distributed with the pmax port of
.Nx 1.1 .
.Sh BUGS
.Nm
assumes there are no multiply-referenced symbols in the input ELF symbol
section.
It may be necessary to link with
.Fl x
to avoid duplicate symbols.
.Pp
In some environments, the GNU binutils
.Xr objcopy 1
utility may be a better solution than
.Nm .
